## FsRtpConference

FsRtpConference — Farstream RTP Conference Gstreamer Elements

## Synopsis

    struct              FsRtpConference;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----FsConference
                                     +----FsRtpConference

## Implemented Interfaces

FsRtpConference implements GstChildProxy.

## Properties

      "sdes"                     GstStructure*         : Read / Write

## Description

This is the core gstreamer element for a RTP conference. It must be added to your pipeline before anything else is done. Then you create the session, participants and streams according to the FsConference interface.

The various sdes property allow you to set the content of the SDES packet in the sent RTCP reports.

## Synopsis

### Element Information

plugin | fsrtpconference
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic/Bin/RTP

### Element Pads

name | sink_%u
direction | sink
presence | sometimes
details | ANY

name | src_%u_%u_%u
direction | source
presence | sometimes
details | ANY

## Details

### struct FsRtpConference

    struct FsRtpConference;

## Property Details

### The `"sdes"` property

      "sdes"                     GstStructure*         : Read / Write

SDES items to use for sessions in this conference.